Results 1 to 9 of 9

Thread: How to get rid of silly "package 'openra-yr' already exists" errors

  1. Default How to get rid of silly "package 'openra-yr' already exists" errors

    Hi,

    I'm trying to update my openra-yr package, but when I commit with osc ci I get the error:

    Code:
    package 'openra-yr' already exists
    this sort of error has occurred with other packages too. I know it already exists, I'm not trying to create a new package named openra-yr, I'm committing my changes to it.

    Thanks for your time,
    Brenton
    Brenton Horne: Linux enthusiast and writer of ​The Hornery.
    Seven favourite distros
    : Arch, deepin, Fedora, Gentoo, KDE Neon git unstable, Linux Mint and openSUSE Tumbleweed.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    24,212
    Blog Entries
    15

    Default Re: How to get rid of silly "package 'openra-yr' already exists"errors

    On Tue 03 Jul 2018 06:26:03 AM CDT, fusion809 wrote:

    Hi,

    I'm trying to update my openra-yr package, but when I commit with osc ci
    I get the error:


    Code:
    --------------------

    package 'openra-yr' already exists

    --------------------


    this sort of error has occurred with other packages too. I know it
    already exists, I'm not trying to create a new package named openra-yr,
    I'm committing my changes to it.

    Thanks for your time,
    Brenton


    Hi
    So your in the package working directory? Are you just using osc ci?

    I normally add a comment...
    Code:
    osc ci -m "blah"
    --
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SLES 15 | GNOME Shell 3.26.2 | 4.12.14-23-default
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  3. Default Re: How to get rid of silly "package 'openra-yr' already exists" errors

    It was abbreviated, I have dozens of packages and probably made >1,000 commits to the OBS, I'd hardly manage that without knowing how to use osc ci, . I always specify the message. To be clear, this is not an attack, just felt like making my reply less boring.
    Brenton Horne: Linux enthusiast and writer of ​The Hornery.
    Seven favourite distros
    : Arch, deepin, Fedora, Gentoo, KDE Neon git unstable, Linux Mint and openSUSE Tumbleweed.

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    24,212
    Blog Entries
    15

    Default Re: How to get rid of silly "package 'openra-yr' already exists"errors

    On Tue 03 Jul 2018 01:56:03 PM CDT, fusion809 wrote:

    It was abbreviated, I have dozens of packages and probably made >1,000
    commits to the OBS, I'd hardly manage that without knowing how to use
    osc ci, . I always specify the message. To be clear, this is not an
    attack, just felt like making my reply less boring.


    Hi
    Something funky going on then... so it happens all the time with this
    package at the moment? What's you host OS?

    Maybe a corrupt .osc directory?

    I just branched, added a changes file and checked in fine....

    --
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SLES 15 | GNOME Shell 3.26.2 | 4.12.14-23-default
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  5. Default Re: How to get rid of silly "package 'openra-yr' already exists" errors

    Host OS was one you'd expect to work the best with the OBS: openSUSE Tumbleweed. How would I determine whether .osc is corrupt and how would I fix it? I moved my openra-yr directory to openra-yr.backup, re-cloned the package as I needed the issue fixed ASAP, but it would be nice to have a solution that doesn't require me to re-download all those files.
    Brenton Horne: Linux enthusiast and writer of ​The Hornery.
    Seven favourite distros
    : Arch, deepin, Fedora, Gentoo, KDE Neon git unstable, Linux Mint and openSUSE Tumbleweed.

  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    24,212
    Blog Entries
    15

    Default Re: How to get rid of silly "package 'openra-yr' already exists" errors

    Quote Originally Posted by fusion809 View Post
    Host OS was one you'd expect to work the best with the OBS: openSUSE Tumbleweed. How would I determine whether .osc is corrupt and how would I fix it? I moved my openra-yr directory to openra-yr.backup, re-cloned the package as I needed the issue fixed ASAP, but it would be nice to have a solution that doesn't require me to re-download all those files.
    Hi
    Try copying the files over to a backup directory (including .osc) and then an osc up to get back to what's on OBS, resolve conflicts and copy over your changed files might work.

    Check the differences in the copied directory .osc directory files and the new one, to be honest never seen an issue like that, but I'm only building for openSUSE and SLE. Likewise I use two systems running Tumbleweed x86_64 and aarch64 for building
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    Tumbleweed (x86_64) | GNOME 3.28.2
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  7. Default Re: How to get rid of silly "package 'openra-yr' already exists" errors

    In the past I've tried osc up as a fix for this, but it didn't work (it did absolutely nothing, it seemed to think my local copy was up-to-date). This time it did, probably because I've managed to update it by that fresh copy. Thanks, however, I do appreciate the time you have spent trying to help. I'll just have to wait 'til this happens again to continue on with this thread.
    Brenton Horne: Linux enthusiast and writer of ​The Hornery.
    Seven favourite distros
    : Arch, deepin, Fedora, Gentoo, KDE Neon git unstable, Linux Mint and openSUSE Tumbleweed.

  8. #8
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    24,212
    Blog Entries
    15

    Default Re: How to get rid of silly "package 'openra-yr' already exists"errors

    On Tue 03 Jul 2018 04:16:03 PM CDT, fusion809 wrote:

    In the past I've tried osc up as a fix for this, but it didn't work (it
    did absolutely nothing, it seemed to think my local copy was
    up-to-date). This time it did, probably because I've managed to update
    it by that fresh copy. Thanks, however, I do appreciate the time you
    have spent trying to help. I'll just have to wait 'til this happens
    again to continue on with this thread.


    Hi
    Did you try osc repairwc the other thought is add -d for debug info.

    The waiting game now

    --
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SLES 15 | GNOME Shell 3.26.2 | 4.12.14-23-default
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  9. Default Re: How to get rid of silly "package 'openra-yr' already exists" errors

    Just got this error again from my avogadro2 package this time. I tried repairwc and it returned:

    Code:
    osc: working copy '.' is not inconsistent
    . Which probably means you're right .osc is corrupted.
    Brenton Horne: Linux enthusiast and writer of ​The Hornery.
    Seven favourite distros
    : Arch, deepin, Fedora, Gentoo, KDE Neon git unstable, Linux Mint and openSUSE Tumbleweed.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •